Bug 1127740 - Probably should condense the list of puppet modules (and maybe other associations) for content view info
Summary: Probably should condense the list of puppet modules (and maybe other associat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 12:54 UTC by David Davis
Modified: 2019-04-01 20:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15987 None None None 2016-08-04 19:35:29 UTC

Description David Davis 2014-08-07 12:54:12 UTC
We're showing 6 fields/lines per puppet modules on the content-view info command. If you have 20-30 modules, that's going to be huge.

Comment 1 RHEL Product and Program Management 2014-08-07 13:14:03 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Partha Aji 2016-08-04 19:35:28 UTC
Created redmine issue http://projects.theforeman.org/issues/15987 from this bug

Comment 4 Bryan Kearney 2016-08-08 18:02:55 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15987 has been closed

Comment 7 Lukáš Hellebrandt 2016-11-03 09:41:17 UTC
Verified with katello-3.2.0-2.rc2, foreman-1.13.0-1, compose 6.3.0 5.0.

Example output now:

# hammer content-view info --id <id>
[...]
Puppet Modules:         
 1) ID:     2
    Name:   vcsrepo
    Author: puppetlabs
 2) ID:     1
    Name:   motd
    Author: saz
[...]

While I think saving 2 lines of 5 might not really cut it and table layout would be a better solution, the tool behavior reflects changes intended by development so I am marking this as successfully verified.

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.